> ## Documentation Index
> Fetch the complete documentation index at: https://developer.finflexinfras.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Check QR Payment Status

# Check QR Payment Status

Check the payment status of a QR order and return additional payin order details from the database using `ref_id`.

**Endpoint:** `POST /payin/check-qr-status`

## Authentication

* `x-client-id` (header, optional)
* `x-client-secret` (header, optional)
* Or Bearer token

## Request Body

```json theme={null}
{
  "client_id": "finflex_test_6868706820",
  "slug": "QXCtRyzcsJp9",
  "ref_id": "QXCtRyzcsJp91752058602"
}
```

## Response (200)

```json theme={null}
{
  "typof": {},
  "payin_order": {}
}
```

## Error Response (401)

```json theme={null}
{
  "status": false,
  "message": "Authentication failed - please provide either valid client credentials or a valid Bearer token"
}
```

## Error Response (404)

```json theme={null}
{
  "code": 404,
  "message": "Payin order not found with the provided ref_id"
}
```
